GRAPHENE WORDPRESS THEME CHANGELOG
by Syahir Hakim
https://www.graphene-theme.com/

CHANGELOG

Version 2.9.4 [21-03-2024]
	* Fixed: Inline date icon appears in pages

Version 2.9.3 [18-03-2024]
	* Fixed: PHP notices and warnings
	* Fixed: Excerpt of password-protected posts may appear in rich snippet or open graph metadata

Version 2.9.2 [17-08-2023]
	* Fixed: Post thumbnail doesn't appear in home page when the option "Show full content in archive pages" is enabled
	* Fixed: Minor styling issues on RTL sites
	* Fixed: Truncated menu on mobile when using sticky menu
	* Fixed: Alignment issue with Events Calendar Pro calendar shortcode
	* Fixed: Container grid width sometimes returning null value due to $grid_two or $grid_three has a non-numeric value 

Version 2.9.1 [25-03-2022]
	* Fixed: PHP8 fatal error in block editor and customizer

Version 2.9 [19-03-2022]
	* Changed: Use absolute directory path when getting image dimensions for local images
	* Fixed: PHP8 deprecation notice in customizer.php
	* Fixed: PHP notice in Block-based Widgets Editor
	* Fixed: Inconsistent widget title tag and styling when using Block-based Widgets Editor
	* Fixed: Several styling issues with blocks in Block Editor
	* Fixed: Search results contain double featured images when archive pages are set to display full content
	* Fixed: Child pages appear in WooCommerce archive pages

Version 2.8.6 [06-09-2021]
	* Fixed: Error when publishing changes in Customizer
	
Version 2.8.5 [22-07-2021]
	* Fixed: Error importing theme options file if settings file contains valid HTML
	* Fixed: Incorrect thumbnail image size in related posts
	* Fixed: Unable to update custom menu in certain environment

Version 2.8.4 [10-02-2021]
	* Added: Featured image display to Pages
	* Added: Support for WP paragraph block font size and line height
	* Fixed: PHP notices/warnings in inc/functions.php
	* Fixed: JS error in certain plugins due to deferred-loading of jQuery Migrate
	* Fixed: Post thumbnails not appearing in blog page when excerpts are displayed
	* Fixed: Content styling not applied in WordPress editor
	* Changed: Minimum featured image width for display in singular pages lowered to 75% of content area width

Version 2.8.3 [27-01-2021]
	* Added: Granular CSS classes for author byline
	* Fixed: Text colour in search box when placed in the navigation bar
	* Fixed: Structured Data markup warnings for AMP pages
	* Fixed: PHP warnings in loop.php
	* Fixed: Inconsistent behaviour related to excerpts and features images in posts listing
	* Fixed: PHP notices/warnings related to getimagesize() for certain server configurations

Version 2.8.2 [11-10-2020]
	* Added: Top bar foreground and links colour options
	* Added: Move back-to-top button if there is a Recaptcha badge on page
	* Fixed: Styling conflict with Memphis Documents Library plugin
	* Fixed: Restored header HTML structure when using default top bar arrangement
	* Fixed: Missing comments gravatar and reply link
	* Fixed: Bootstrap conflict with other plugins in WP Admin
	* Fixed: 404 error when attempting to load Bootstrap source map in browser's developer console
	* Updated: Replaced use of "Wanna" with the more formal "Would you like to"

Version 2.8.1 [07-09-2020]
	* Added: Automatic post content padding when wrapper and content background colours are different
	* Added: Automatic widget padding when wrapper and widget background colours are the same
	* Fixed: Custom fields in menu items are duplicated
	* Fixed: Regular comments are counted as pings
	* Fixed: Text overflow in homepage panes
	* Fixed: Duplicate graphene_top_bar action hook
	* Fixed: Graphene top bar link colour may override third party widgets CSS
	* Fixed: Compatibility issue with Yoast SEO plugin

Version 2.8 [15-08-2020]
	* Added: Option to show featured image at the top of posts
	* Various performance optimisations
	* Fixed: Comments does not appear in front end with WordPress 5.5
	* Fixed: Random image selected if no header image is defined in settings
	* Fixed: Locally-loaded Google Fonts do not have "font-display: swap" applied
	* Fixed: Double menu icon field
	* Removed: htmlshiv.js and respond.js
	* Removed: Favicon option since this is now managed by WordPress
	* Removed: .map files

Version 2.7.6 [15-05-2020]
	* Fixed: Unable to turn off Yoast SEO breadcrumbs
	* Fixed: Alignment issues in Customizer when using RTL languages

Version 2.7.5 [28-04-2020]
	* Added: Native support for Yoast SEO breadcrumbs
	* Fixed: Option to display excerpt in front page not applied if option to show full content in archive pages is enabled
	* Fixed: Block editor width no longer follows the theme's content width
	* Fixed: Child pages listing thumbnail has low resolution on mobile devices
	* Fixed: Empty header image tag sometimes shown for certain configurations

Version 2.7.4 [12-04-2020]
	* Fixed: The option "Show full content in archive pages" is not working
	* Fixed: Styling for Read More button when using Block Editor
	* Fixed: Warning message if allow_url_fopen is disabled in the server

Version 2.7.3 [24-2-2020]
	* Added: Google Fonts are now loaded asynchronously using Webfont Loader
	* Added: Optimized images
	* Added: Parse shortcode and formatting in taxonomy description
	* Updated: Expand container width range to 400px - 2000px
	* Fixed: No H1 tag on the front page
	* Fixed: A few styling issues on RTL sites
	* Fixed: Header image may have missing alt, width, and height attributes
	* Fixed: JS error may occur after switching from Graphene Plus to Graphene
	* Fixed: Navbar width stay fixed when adjusting container width in Customizer
	* Fixed: RTL CSS not automatically loaded when using a child theme

Version 2.7.2 [24-2-2020]
	* Added: Responsive embed in block editor
	* Added: Ensure text are visible before webfonts are loaded
	* Fixed: Background colour for homepage panes
	* Fixed: Images in gallery block overflows the content area in Microsoft Edge
	* Changed: Site title and description no longer use heading elements

Version 2.7.1 [14-11-2019]
	* Fixed: Error when checking for theme updates in certain multisite configurations
	* Fixed: Ads appear in front page when using Static Front Page, when it should be disabled
	* Fixed: PHP warnings when creating new posts in WordPress 5.3

Version 2.7 [10-10-2019]
	* Updated: Bootstrap 3.4.1
	* Fixed: Homepage panes image not linked to post when Featured Image is set
	* Fixed: Read More button in home page panes may not link to post due to conflict with certain plugins
	* Fixed: Infinite Scroll does not work on paginated URLs
	* Fixed: Long content occasionally not wrapping in post content
	* Fixed: Error importing theme options in non-multisite installs due to different returned mime type
	
Version 2.6.5 [27-8-2019]
	* Fixed: Custom Google Fonts not loaded if not hosting the fonts locally

Version 2.6.4 [23-8-2019]
	* Added: Option to host Google Fonts locally
	* Fixed: Description text for custom social profile icon ignored when the custom profile is first added
	* Fixed: HTML tags and continue reading button appearing in links shared on Facebook
	* Fixed: Auto layout switch when using wide or full-width blocks can sometimes be triggered on the blog listing page
	* Fixed: Error importing theme options due to WP recognizing the import file as text/html
	* Fixed: Division by zero error in loop.php

Version 2.6.3 [9-5-2019]
	* Added: append.infinitescroll event 
	* Added: wp_body_open() function call
	* Fixed: Compatibility issue with Elementor
	* Fixed: Error importing theme options due to WP recognizing the import file as text/html
	* Fixed: "autocomplete is not a function" script error
	* Fixed: Search results count sometimes show incorrect value when formatted
	* Fixed: PHP warnings related to custom header image

Version 2.6.2 [22-3-2019]
	* Fixed: Multi-level menu not opening when using hover and on tablet devices
	* Fixed: Custom social profile icon not working when using custom icon URL
	* Fixed: PHP warnings when customizing social profiles

Version 2.6.1
	* Added: Load theme-bundled language files whenever available instead of WordPress-supplied language files
	* Added: determine_locale() function compat (WP 5.0)
	* Updated: Added Web Text Tool plugin into list of SEO plugins providing Open Graph tags
	* Updated: Single content page navigation links now clickable within a larger area
	* Fixed: Positioning of fixed header menu when using boxed layout
	* Fixed: Some plugins are still loading duplicate Bootstrap script causing feature conflicts
	* Fixed: Entry thumbnail display on mobile devices
	* Fixed: PHP warnings related to slider stack, header image, menu classes
	* Fixed: Double H1 tags on the front page when using Static Front Page
	* Removed: the_remaining_content() function compat (WP 3.6)

Version 2.6
	* Added: Option to allow custom post types in slider
	* Added: Option to specify maximum number of ads to display per page
	* Added: Switch to single-column layout if stretched content is detected in block editor
	* Fixed: Minor styling issue with fixed menu on mobile devices
	* Fixed: Empty <img> tag being added if header image is hidden
	* Fixed: Styling issue with tag descriptions
	* Fixed: Empty space when embedding links to other WordPress sites
	* Fixed: Block editor width does not reflect actual content width
	* Fixed: Graphene settings export file sometimes contain garbled data in some configurations
	* Fixed: PHP warning in /inc/functions.php
	* Fixed: PHP warning in /wp-includes/post-template.php
	* Fixed: graphene_post_meta and graphene_post_footer hooks not run if there is no entry meta to display

Version 2.5.3
	* Added: Link to individual comments
	* Fixed: Navbar sizing and margin when using fixed navbar with certain container styles
	* Fixed: PHP notice related to social profiles feature
	* Fixed: PHP warnings related to slider and AMP share

Version 2.5.2
	* Updated: Removed all instances of hentry since we are no longer using hatom markup, to avoid Google Rich Snippet error
	* Fixed: Error in Rich Snippet markup if the same images are used
	* Fixed: Slider image would sometimes not appear when using Jetpack

Version 2.5.1
	* Added: Compatibility with Gutenberg
	* Added: Open Graph microdata format, with detection of SEO plugins
	* Added: Auto-purge Autoptimize cache whenever the customizer is published
	* Added: Option to disable captions in slider
	* Added: Remove slider navigation features if only one slide present in the slider
	* Added: Sticky menu feature
	* Added: Option to disable custom YARPP template
	* Added: Upload button for custom user profile image
	* Added: Option to exclude posts and categories from slider
	* Added: Serve slider image from Jetpack if Photon is enabled
	* Added: Conditional loading of respond and html5shiv scripts for older IE browsers
	* Added: If set, consistently display custom user image as user's avatar everywhere
	* Fixed: Header image width changed to 1903 when using full-width layout
	* Fixed: No Bootstrap script loaded at all if there are other plugins queueing their own Bootstrap script
	* Fixed: Jetpack lazy-loaded images not center-aligned
	* Fixed: Missing image error if using slider as header and no image selected as header image
	* Fixed: PHP warning related to "Read more" link for manual excerpt
	* Updated: Menu Item Custom Fields 1.0.0

Version 2.4.3.1
	* Fixed: Load comment-reply.js script only if threaded comments is enabled
	* Fixed: Section navigation being shown on 404 page
	* Fixed: Improved automated search query handling in 404 page
	* Fixed: PHP count() warning with PHP 7.2
	* Fixed: Read more button being added to rich snippet description when using custom excerpt
	* Fixed: WP Editor gets zero width when certain plugins is installed, causing text to appear in a column of single-character wide
	* Removed: Custom header constants

Version 2.4.2
	* Added: Separate slider colours option when using the card display option
	* Updated: Removed translation files for the following languages since there are better translations in GlotPress: pt_BR, ru_RU
	* Fixed: graphene_navbar_header action hook does not appear in Action Hook Widget Areas option
	* Fixed: Carousel script error when the primary header menu is not in use
	* Fixed: PHP warning when using YARPP
	* Fixed: PHP warning in 404.php file
	* Fixed: Reorganised top bar and bottom footer elements using floats for more robust styling

Version 2.4.1
	* Fixed: PHP warning when YARPP has not been installed
	* Fixed: Slider has no background colour when extended to full width

Version 2.4
	* Added: Yet Another Related Posts plugin integration
	* Added: Full width boxed container layout in addition to existing full width stretched container layout
	* Added: Banner display style for slider
	* Added: Deep multi-level menu capability in mobile view
	* Added: Mentions Bar feature
	* Added: Google Rich Snippets using the recommended LD+JSON markup for more detailed layout-agnostic markup
	* Added: Slider entry meta in card display
	* Added: Social profiles link in footer
	* Added: Option to display social media icons in top bar and footer
	* Added: Option to select left sidebar order in mobile view
	* Added: Option to select header text alignment
	* Added: Option to disable the previous/next posts navigation
	* Added: Option to restrict the previous/next posts navigation to posts within the same category
	* Added: Automatically disable author bio if only single author is present and bio is empty
	* Added: More robust compatibility with plugins that use the Bootstrap framework
	* Added: More robust determination of slider image dimension
	* Added: Show site title in mobile only when site title is set to hidden for desktop
	* Fixed: Site title and tagline display setting Customizer preview not working
	* Fixed: List margins in bbPress posts
	* Fixed: Social sharing buttons does not appear at the top of posts
	* Fixed: Tooltip JS error if site is using older versions of jQuery < 1.9.1
	* Fixed: Graphene Mobile not loaded when present
	* Fixed: Bootstrap conflict with WP Download Manager
	* Fixed: Several PHP notices and warnings
	* Fixed: Not found error with default page template icon

Version 2.3.1
	* Fixed: Static front page not shown if slider option "Exclude the categories from posts listing" is enabled
	* Fixed: Fatal error in certain cases where custom widgets do not have the get_settings() method
	* Fixed: Textarea default height set too low

Version 2.3
	* Added: Rearranged sidebars so that they always appear after the main content in mobile view, regardless of column settings
	* Added: Widgets display option for mobile- or desktop-only, or both
	* Added: Front-facing user profile fields
	* Added: Option to customize "In this section" title
	* Added: "Card" slider display style
	* Fixed: Unable to save settings for "Keep HTML tags in excerpts" option in Customizer
	* Fixed: Settings for "Keep HTML tags in excerpts" option not actually being applied to excerpts
	* Fixed: Primary menu active item colour customisation not applied
	* Fixed: Previous favicon URL still being used when migrating from older versions of Graphene
	* Fixed: "Exclude the categories from posts listing" option not applied

Version 2.2
	* Added: Colour customisation options for footer widget area
	* Added: Automatically select best image available for display of individual posts and slider
	* Added: CTA button to contribute to theme's translation if user is using languages other than English (US)
	* Added: Option to use custom author image as comments avatar
	* Added: Back-to-top button fades out when user reached the bottom of page
	* Added: Translations migrated to GlotPress for the following languages: Dutch, Czech, Spanish, Deutsch, Chinese (China), Albanian, Japanese
	* Fixed: Gravatar for registered users not using the user account email address
	* Fixed: Options import file validation failed if import file has no database version info

Version 2.1.3
	* Added: graphene_header widget hook now appears above the header image instead of after
	* Added: Translations migrated to GlotPress for the following languages: Romanian, Swedish, Turkish, Croatian, Italian, English (UK)
	* Fixed: Update all language files for "Continue Reading" string
	* Fixed: Graphene action hooks map site reinstated
	* Fixed: PHP notice when using default menu
	* Fixed: Collapsing Categories plugin conflict with Bootstrap styling
	* Fixed: Alternative front page footer widget area missing columns
	* Fixed: Site administrator in WordPress Multisite can't access theme settings in Customizer
	* Fixed: Empty space in footer widget area when set to 5 columns

Version 2.1.2
	* Fixed: Inconsistent header height with varying screen sizes
	* Fixed: Current commenter's name not automatically filled in comment form
	* Fixed: Incorrect $content_width being set if using customised column width
	* Fixed: Homepage pane image sizing

Version 2.1.1
	* Fixed: Header image does not appear when using a custom header image
	* Fixed: Incorrect positioning of the header image link 
	* Updated: All language files now include updated strings

Version 2.1
	* Added: Option to customize slider height on mobile devices
	* Added: Slider image link to post
	* Added: Second level for footer menu
	* Added: Home link in default menu
	* Added: Option for slider to only display posts with featured image
	* Added: graphene_defaults filter hook
	* Fixed: Non-responsive header image on mobile devices
	* Fixed: New header images aspect ratio do not match default header aspect ratio
	* Fixed: Slider post content was being displayed instead of slider post title when using full content mode
	* Fixed: Incorrect copyright text setting name
	* Fixed: Incorrect slider image width when using one-column layout or full-width slider
	* Fixed: Compatibility issue with Booking Calendar plugin
	* Fixed: Slider exceed container when using full-width slider in mobile view

Version 2.0.4
	* Fixed: Header title and menu toggle appears missing when using light coloured header bars
	* Fixed: Child stylesheet not loaded if child theme implemented using CSS @import method

Version 2.0.3
	* Fixed: Ensure correct ordering of stylesheets when using a child theme
	* Fixed: Malformed dropdown menu styling when not using Custom Menu
	* Fixed: Incorrect recommended header image width in Customizer
	* Fixed: Missing translation strings
	* Fixed: Missing post title in slider when set to display full post
	* Fixed: Replaced down chevron with side chevron in dropdown submenu

Version 2.0.2
	* Added: Tell browsers to reload theme scripts after theme update
	* Added: Instant customizer preview for site title and description
	* Added: Option to specify FontAwesome icon name for custom social profiles
	* Fixed: Inconsistent header text colour when customised
	* Fixed: Division by zero error, if for some reason the user specifies the footer widget column count to be 0
	* Fixed: graphene_slider image size not defined in pixels for some cases
	* Fixed: Search form button not working

Version 2.0.1
	* Fixed: Fatal error with message "Can't use function return value in write context"
	* Removed: Orphaned bbPress CSS file

Version 2.0
	* Added: Bootstrap responsive framework replacing 960.gs grid system
	* Added: Theme is now fully responsive, automatically adapts to varying screen sizes for optimised mobile view
	* Added: Theme options fully implemented in WP Customizer
	* Added: Menu system using Bootstrap framework replacing Sons of Suckerfish
	* Added: Slider using Bootstrap's carousel replacing jQuery Tools
	* Added: FontAwesome icons
	* Added: New header images
	* Added: Menu icons option
	* Added: Major styling update
	* Added: Off-content-area back-to-top button
	* Added: Better posts and comment navigation
	* Added: Author bio in single posts page
	* Added: Social links and location fields for authors
	* Added: Contextual page navigation
	* Added: Option for full-width container style
	* Added: Setting reset option in Customizer
	* Updated: Overall theme width increased to 1170px from 960px
	* Updated: Theme files naming convention
	* Updated: Scripts queueing and loading
	* Updated: Google Webfonts loading
	* Updated: New theme screenshot reflecting the updated styling
	* Updated: Reduced footer menu maximum depth to 1
	* Updated: Default footer widget area columns to 4 (previously 3)
	* Updated: Author profile page
	* Updated: Social media icon images replaced with FontAwesome vector icons
	* Updated: Custom CSS feature has now been migrated to use the native WordPress feature
	* Updated: Database version bumped up from 1.2 to 1.3 with the corresponding update routine
	* Removed: Navigation menu display options (replaced with native Custom Menu options)
	* Removed: Thumbnail and excerpt slider display style
	* Removed: Slider animation option (defaults to fade)
	* Removed: Slider transition speed option
	* Removed: Older IE partial CSS3 support
	* Removed: IE8 max-width property support
	* Removed: Option to display Creative Commons licence
	* Removed: graphene_first_p() function
	* Removed: Allowed markup notes in comment form
	* Removed: Post formats template
	* Removed: Genericons icon font
	* Removed: Option to display post author avatar in title
	* Removed: Edit post link when logged in (already available in Admin Bar)
	* Removed: graphene_show_addthis hook (replaced with graphene_addthis filter)
	* Removed: Feature to disable generated CSS (performance impact immaterial)
	* Removed: Options presets
	* Removed: Graphene FAQs

Version 1.9.4.3
	* Added: Screen reader text styling
	* Added: Support for title-tag theme feature
	* Fixed: Missing argument for print button function
	* Fixed: Minor styling issue with Map List Pro
	* Fixed: Potential security vulnerability
	* Fixed: Issue of loading Google Fonts in WP Editor for HTTPS sites
	* Updated: Norwegian (nb_NO) translation by Remy Kongsvoll

Version 1.9.4.2
	* Added rel="nofollow" attribute to footer credit link

Version 1.9.4.1
	* Fixed fatal error when using column layout with empty sidebars

Version 1.9.4
	* Added Estonian (et) translation
	* Fixed header image not appearing when search returns no result
	* Fixed minor styling conflict in theme's options page
	* Fixed minor styling issues in theme's options page for RTL sites
	* Fixed undefined variable notice in certain cases
	* Fixed an issue with theme news feed in the theme's options page
	* Fixed missing "updated" microdata field for posts when date is not displayed
	* Fixed minor issues with editor style
	* Removed shortcodes from the theme as it is no longer allowed by WordPress Theme Review Team
	* Removed option to preview site in Graphene Options page as this slows down the page load
	* Removed use of deprecated function of add_custom_background()
	* Removed use of deprecated function of add_custom_image_header()

Version 1.9.3
	* Fixed styling in the theme's options page to be compatible with WP 3.8
	* Fixed several PHP notices (http://forum.graphene-theme.com/graphene-support/php-notices-in-errorlog)
	* Apply user selected Block Button colour to input[type="submit"] and button[type="submit"].
	* Added <ins> tag to the allowed tags in code. Fixes some <ins> attributes being removed from Adsense code
	* Fixed infinite scroll not working for search results
	* Fixed XSS vulnerability (thanks to Otto for the notification)

Version 1.9.2
	* Added simple validation to make sure a settings file is selected for theme options import
	* Added graphene_homepage_pane_image filter hook
	* Added Foursquare and Instagram social media icons
	* Added Genericons icon font for icons used as design elements so their colours can be changed
	* Various styling tweaks
	* Fixed theme options import/export bug
	* Fixed script error when comments are set to display the last page first and infinite scroll for comments is enabled
	* Fixed styling conflict with ReCaptcha

Version 1.9.1
	* Minor fix for the theme's options interface behaviour
	* Added links to the theme's natively-supported plugins and add-ons
	* Added links to the theme's documentation page for individual feature set in the theme's options page
	* Included empty categories for the theme's slider and front page post options
	* Reworked settings preset option to just reset the theme's settings
	* Fixed duplicate and conflicting filter hook name "graphene_header_image"
	* Fixed database error notice when querying total number of comments
	* Fixed infinite scroll for comments not working if comments are displayed in reverse chronological order
	* Fixed issues with colour presets management
	* Fixed conflict with Shortcodes Ultimate plugin for the theme's options page
	* Fixed slider transition speed not being applied

Version 1.9
	* Added option to save and delete colour presets
	* Added option to export and import colour presets
	* Added Infinite Scroll feature for posts and comments
	* Added Google Plus social media icon
	* Added CodeMirror code editor for all options that accepts code
	* Added alternate text in custom header image if it is set
	* Added width and height attribute for header image
	* Added Catalan (ca) translation by Miquel Àngel Guerrero
	* Added validator function that ensures all custom colours use full 6-digit hexadecimal value to avoid blue gradients in IE9 and older
	* Added internationalization for the theme's editor buttons and page templates names
	* Comment counts will now use locale-aware numerals and number formatting
	* Comments will use comment author's display name if the author is registered
	* Static posts page will now apply the correct column mode as per the page template chosen for the placeholder page
	* Changed "on uninstall" theme to Twenty Eleven since Twenty Ten is removed from WordPress 3.6
	* Changed the heading tag for site title and description to only use h1 and h2 on the front page and homepage
	* Improved <select> elements in the theme's options pages
	* Updated jQuery Tools to version 1.2.7, and included only the Scrollable and Tabs component
	* Updated licence information to include bundled sources and image assets
	* Moved several blocks of inline javascript into a separate graphene.js file for cacheability
	* Removed the Graphene Options link on Admin Bar if logged-in user can't edit theme options
	* Removed the theme's random header image function as this is identical to WordPress' feature since WordPress 3.2
	* Removed Twitter widget from the theme as unauthenticated requests no longer work. Recommend Rotating Tweets plugin as a substitute.
	* Renamed jQuery Tools .tabs() function to .jtTabs() to prevent conflict with jQuery UI Tabs
	* Fixed large featured image not being used as the header image if using Jetpack's Photon module
	* Fixed error notice when saving the theme's options page without Static Front Page being used
	* Fixed comment link on posts not displaying if post already has comments before commenting is closed
	* Fixed code editor bug for RTL sites
	* Fixed social icons not appearing in the theme's options page
	* Fixed comments form overlapping page's content
	* Fixed non-clickable child-pages permalink when comments are enabled for parent page
	* Fixed compatibility issue with plugins that modify the comment textarea field, like Crayon
	* Fixed comments count reverting to 1 if there is 1000 or more comments
	* Fixed missing "Continue reading" button in excerpt of posts that have the <!--more--> tag
	* Fixed sticky post being styled as sticky twice
	* Fixed horizontal scrollbar for RTL sites
	* Fixed various RTL styling issues
	* Fixed editor width not reflecting the content width of the post

Version 1.8.4
	* Implemented multilingual-aware object ID retrieval for better WPML compatibility
	* Added CodeMirror code editor for the theme's Custom CSS and Custom <head> tags options
	* Added graphene_author_url filter
	* Added Austrian German (de_AT) informal "Du" translation by Webagentur Lederstatter
	* Fixed comments link being displayed on posts that have comments disabled
	* Fixed news feed in options page not displaying excerpts less than 20 words
	* Fixed comment form going behind sidebar when replying to comments
	
Version 1.8.3
	* Added option to fine tune date display setting for individual posts
	* Added Filipino (fil) translation by Mikael Rieck
	* Added Slovak (sk_SK) translation by Martin Kucharik
	* Added Albanian (sq_AL) translation by Gent Ukehajdaraj
	* Added Latvian (lv_LV) translation by Arvid Linde
	* Added graphene_social_media_attr filter hook
	* Changed comment moderation links capability check to moderate_comments
	* Preloads slider background images for smoother transition
	* bbPress stylesheet - Updated h2 element with correct class for author profile. It was affecting other h2 elements like site description on bbpress author page
	* Removed use of deprecated _get_post_ancestors() function
	* Fixed the footer widget area not being sized properly when the container width is modified
	* Fixed child page listings issue on bbPress forums page
	* Fixed custom header constants not defined for WP >= 3.4

Version 1.8.2
	* Fixed incorrect gradient direction in IE for several colour options
	* Fixed a filter for default menu being added regardless of whether or not the default menu is being used
	* Fixed translation issue for languages with more complicated singluar and plural forms
	* Removed » from the front page browser title if site has no description
	* Added Croation (hr) translation by Nik (katanaswords.info)
	* Added Indonesian (id_ID) translation by Stefan Russel
	* Added Finnish (fi) translation by Rene Rendic and Eero Tuomenoksa
	* Added Icelandic (is_IS) translation by Sigurður Guðbrandsson
	* Added option to change sticky posts and child pages background colour
	* Added Delete and mark Spam links for comment listing. Only users with edit posts role will see the links
	* Added option to hide @replies in Graphene Twitter widget

Version 1.8.1
	* Added gradient support for Opera
	* Fixed a bug with slider image not showing
	* Fixed header text style customisation being overridden
	* Fixed sprintf php warning in theme-head.php line 28
	* Fixed post navigation using the same « for both previous and next post
	* Fixed a conflict of "graphene_post_meta" action hook widget area with the filter hook of the same name. The filter hook is renamed to "graphene_get_post_meta"
	* Fixed z-index and gradient issue of the primary menu on IE
	* Refactored post meta conversion script to run per-post on request instead of all at once
	* Excluded theme's directory value from the exported theme settings

Version 1.8
	* Added option to add custom tags into the theme's <head> element in Graphene Option > Advanced > Custom <head> Tags
	* Added option to extend the slider to the full width of the theme
	* Added options to customise the navigation menu colours
	* Added options to customise the top bar and footer colours
	* Added option to manually move the CSS codes generated by the theme into a child theme's stylesheet
	* Added graphene_slider_link_url filter hook
	* Added Hebrew (he_IL) translation by Udi Burg
	* Added Slovak (sk_SK) translation by Branco Radenovich
	* Added Save Options button for each option box in the Graphene Options pages
	* Theme options are now saved via AJAX, with fallback to non-AJAX alternative
	* Added WPML string translation support for theme's options
	* Compatibility improvements for WP e-Commerce
	* Custom fields added by the theme are now stored as a single database entry for each posts and pages
	* Performance optimisation: significantly reduced the number of database queries for each page load
	* Splitted colour options into a separate "Colours" options tab
	* Moved bottom slider to under the homepage panes
	* A few design updates - widget header fonts, slider navigation circles
	* Excluded posts that belong to slider categories from post navigation links if the "Exclude the categories from posts listing" feature is used
	* Prefixed global variables ($tabbed -> $graphene_comment_tabbed) and ($in_slider -> $graphene_in_slider)
	* Updated bundled jQuery UI files to version 1.8.21, and included non-minified versions of those scripts
	* Smushed all image files included with the theme to reduce their file sizes losslessly
	* The column width sliders in the theme's options page now automatically round the numbers
	* Fixed slider issue when showing specific posts/pages with WPML installed
	* Fixed content width not properly set on certain pages
	* Fixed the custom colours not being retained in the theme colour options previews
	* Fixed a bug where using the "Exclude the categories from posts listing" disables the static front page
	* Fixed sticky posts not showing in front page when using the Front page post categories option

Version 1.7.3
	* Replaced the deprecated add_custom_background() function call with the add_theme_support() replacement
	* Added filter hook for header image link
	* Added skip to comment form link
	* Added pullquote shortcode
	* Added theme-webfonts.php for handling Google webfonts addition to the <head> element
	* Changed the font for header title and description from Trebuchet MS to Pontano Sans
	* Reverted change to slider background image so that the background image can repeat
	* Fixed pings not being displayed if there is no comments
	* Fixed "Undefined index" error notice for the theme's options pages hook suffixes
	* Fixed the excluded slider categories settings being applied when slider type has been changed
	* Fixed slider link overlay not working in IE
	* Fixed double link element for slider's thumbnail image
	* Fixed slider image in-post setting not being able to revert to "Use global setting"
	* Fixed missing argument for wp_kses in theme's custom fields validation
	* Fixed header title and description being outside the header when the header height is modified

Version 1.7.2
	* Added data validation for custom fields in posts and pages
	* Added Ultimate TinyMCE by Josh Lobe to the list of natively-supported plugins
	* Added data sanitation before being output to theme's options fields and template files
	* Added term description display for all taxonomies
	* Removed header image link in front page
	* Fixed a bug in archive title colour customisation
	* Fixed a bug in post title colour customisation
	* Fixed the missing link icon for Link post format
	* Fixed the header title link defaulting to black for visited link
	* Fixed header image link not working in IE
	* Fixed a bug in colour presets script for IE 

Version 1.7.1
	* Added taxonomy archive template file
	* Added link to return to parent page for child pages
	* Added "Zesty Orange" colour preset, based on the colour scheme of warwickshirefitness.com website
	* Made the graphene_column_mode() function pluggable
	* Used proper $hook_suffix to enqueue styles and scripts on theme's options pages
	* Replaced the bundled social media icons with the Elegant Media Icons set due to licence incompatibility
	* Refactored header image and top bar social media icons to use <img> tags rather than background images
	* Removed header text markup when disabled rather than hiding it using CSS
	* Removed graphene_comment_textarea action hook for improper implementation. Use WordPress' own comment_form_after_fields action hook instead.
	* When using specific posts/pages for homepage panes, they are now displayed according to the order specified
	* Added explicit copyright declaration in functions.php and readme.txt
	* Fixed post formats margin and background styling
	* Fixed the width of the comment form when replying to threaded comments
	* Fixed the Graphene Twitter widget being enqueued in the WordPress admin area
	* Fixed the column width options UI slider
	* Fixed the children pages listing not applying custom column widths
	* Fixed comment count string for Russian translation
	* Fixed comment form fields alignment when replying to existing comments
	* Fixed the alignment of posts navigation links
	* Fixed conflict with Jetpack plugin contact form due to the use of '.email' class
	* Fixed grid width not automatically reset when the container width is reset
	* Fixed inconsistent bold of menu title when using default (wp_list_pages) menu with menu description enabled
	* Fixed an issue with adding custom social media icon when using languages other than English
	* Fixed content width not being reflected in editor style in some servers

Version 1.7
	* Added the ability to reorder the social media icons in the top bar via drag and drop.
	* Added option to specify custom URL for the RSS feed button
	* Added option to specify the colour of post title
	* Added option to modify the header image height
	* Added option to exclude posts that belong to categories being displayed in slider from posts listing
	* Added the "Link" post format
	* Added the en_US translation file for English (American). Note that this is the default language for a vanilla WordPress install. Change WP_LANG to en_GB to use English (UK).
	* Added permalink to comments
	* Added comment count and link in post formats
	* Added manual excerpt display to video post format. Manual excerpt on video post format will be displayed as the video's caption on the side.
	* Added option to show random posts from selected categories in the slider
	* Added option to show social sharing buttons on home and archive pages
	* Added CSS3 gradient to IE 9 by using DXImage filter
	* Added colour presets to the Colours Options
	* Added colour options validation to make sure all colours start with a hash (#) character
	* Added colour options for comments area and box shadows for widgets and block buttons
	* Added Greek (el) translation by Nikos Karadimas
	* Added Kurdish Sorani (ckb) translation, by Hamid Qamishi
	* Added Romanian (ro_RO) translation, by Alexander Ovsov
	* Improved 404 Not Found automated search, which can now obtain proper search terms from URLs with dashes and trailing slash
	* Updated custom header image setup to accommodate changes in the upcoming WordPress 3.4
	* Updated the PIE.htc file to the latest version (1.0b5)
	* Refactored options pages scripts so that the .js can now be minified, combined, and cached
	* Replaced the default sidebar widgets with a notice if there is no widgets in the sidebar
	* Fixed the background of message blocks extending behind floated elements
	* Fixed the position of the "View full post" button in slider
	* Fixed the author bio text going behind the author image when using custom author image with dimensions bigger than the Gravatar size
	* Fixed issue where users with 'edit_theme_options' capability could not save theme options
	* Fixed a conflict with the Magic Members plugin
	* Moved wp_pagenavi output outside the theme's wrapper for posts navigation
	* Moved the post navigation into a function and switched from using id attribute to using class.
	* Switched licence from GPL version 2 to GPL version 3
	* Renamed Arabic translation files from "ar_AR" to "ar" to be in line with the official Arabic version of WordPress

Version 1.6.2
	* Fixed XSS vulnerability (thanks to Kenneth D for the notification)
	* Fixed incorrect slider background image width when the content column has custom width
	* Fixed Russian translation for singular form of comments and pings count
	* Further reduced the z-index for multiple elements to further reduce the chances they appear above lightboxes
	* Reduced the excerpt length in slider to 35 words, when set to display as background image and excerpt style
	* jQuery Tools library (v1.2.5) is now included in the theme and loaded from the site rather than the (unreliable) CDN
	* Added action hooks to the homepage panes
	* Removed the nonexistent generic post image from the markup

Version 1.6.1
	* Replaced the follow link in Graphene Twitter widget with Twitter's follow button
	* Fixed the tag archive page not properly listing all posts that belongs to that tag
	* Fixed issue with comment form fields that do not retain commenter's info
	* Fixed comment count being displayed in archive pages even when comments are disabled completely
	* Fixed issue where the comments area overlay the child pages listing, causing links to be unclickable
	* Fixed issue with site title in XML feed causing errors with feed parsers
	* Fixed custom button colour not being applied to the Submit Comment button
	* Fixed the repeated titles in feeds
	* Fixed Adsense ad missing in Pages
	* Fixed slider background image being tiled if the static front page uses other than the global column mode
	* Fixed only a single author post is listed in the author page
	* Fixed slider not displaying pages when configured to show posts by categories
	* Increased the maximum width of the header title and description text
	* Reduced the z-index values of the nav menu to minimise the chances of it appearing above lightboxes
	* Removed the_content filter from the shortcodes and replaced it with do_shortcode() call instead
	* Added markup to indicate required fields in the comments form
	* The theme will now attempt to balance the HTML tags in excerpt with retained HTML tags

Version 1.6
	* Added option to customise columns widths
	* Added support for bbPress plugin
	* Added comments and adsense for non-standard post formats posts
	* Added proper archive title for custom taxonomy archive pages
	* Added Graphene Theme news RSS feed in the options page
	* Added option to include excerpt in social sharing buttons
	* Added option to display print button even when the print CSS is not enabled
	* Added Bulgarian (bg_BG) translation by Nikolay Boyukliev
	* Added Urdu (ur_UR) translation by Selftest Engine
	* Added Serbian (sr_RS) translation by Balkanboy Media
	* Added option to rescan action hooks for newly added hooks
	* Added option to disable the theme's custom WordPress Editor styles
	* Added ID attribute to homepage panes
	* Major reorganisation of theme's files
	* Increased the spacing in sprite image so that primary menu can span over two lines
	* Updated the editor style to reflect the theme's front-end style
	* The width of the content area in the editor now reflects the column mode being used
	* Applied the_content filter to message block contents
	* Uses _n() wrapper for proper plural form translation of strings
	* Removed permalink from singular pages post title
	* Modified sidebar placement so that sidebar1 will always be on the right in three-column layouts
	* Hidden non-essential options by default in the theme's options page
	* Some style and layout refresh
	* Moved script enqueue for comment-reply into the proper script enqueueing callback
	* Modified the site title implementation into filtering the wp_title() output
	* Removed function_exists() check for json_encode() and json_decode()
	* Fixed an issue with the Twitter widget that causes it to not display any tweets at all if the number of available tweets is less than the number of tweets to be displayed
	* Fixed custom social media icons in the top bar can't be completely removed
	* Fixed pings list being hidden if there are no comments
	* Fixed incorrect content width for automatically-embedded videos
	* Fixed custom CSS for .page-title being printed to the theme's <head> regardless of whether or not the colour settings are changed
	* Fixed an issue with WordPress 3.3 new media uploader not working in the theme's options pages
	
	
Version 1.5.6
	* Fixed homepage panes posts being repeated (and other issues related to double action hook)

Version 1.5.5
	* Fixed XSS vulnerability (thanks to Joshua from secureserver.net for the notification)
	* Changed the default content copyright text in the footer to a more generic copyright text (Creative Commons licence still available via the theme's options)
	
Version 1.5.4
	* Fixed unrelated options being hidden when slider is disabled in the theme's options page
	* Fixed default menu not being ordered according to page order
	* Fixed the theme's stylesheet being printed to admin page when using Gravity Forms
	* Removed <strong> wrapping elements from dropdown menu items when using the default menu
	* Replaced conditionals for checked and selected to use WP checked() and selected() functions
	* Added link to the post for the slider's image

Version 1.5.3
	* Fixed Custom CSS being applied on admin pages
	* Fixed broken admin javascript when French translation is being used due to inline single quotes in the translation
	* Fixed an issue with comments/pings jQuery tabbing
	* Fixed an issue with using the <!--nextpage--> tag in sites using the French translation
	* Fixed the orderby parameter of custom queries

Version 1.5.2
	* Fixed colour picker not available for the text style colour options
	* Fixed an issue with the footer widget custom column count CSS that causes colour settings to not be applied
	* Fixed an issue with the Twitter widget that causes it to not display any tweets at all if the number of available tweets is less than the number of tweets to be displayed
	* Fixed posts not being displayed on the home page due to invalid settings carry-over from previous version
	* Fixed submenu not being displayed when the parent menu item is hovered over in RTL sites
	* Posts and pages in the slider are now ordered according to the order of the IDs entered when using the "Show specific posts/pages" option

Version 1.5.1
	* Added caching for action hooks scan using Transients API

Version 1.5
	* Added option to disable date display on a per-post basis
	* Added option to display followers count in the Graphene Twitter widget
	* Added option to make links open in new window in the Graphene Twitter widget and social media icons in the top bar
	* Added filter to the comments type in the graphene_comment_count() function
	* Added filters to the arguments passed to wp_list_comments() function in comments.php
	* Added option to disable description in Header Menu
	* Added filter to the theme's default options. This will enable modification of the theme's default values via a child theme.
	* Added Russian (ru_RU) translation by Andreas Beraz
	* Added colour options for archive titles
	* Added "Advanced" options page
	* Added option to add widget area to any of the theme's action hooks
	* Added option to preview the site in the options page
	* Added option to customise the title of custom social media icons
	* Added option to select multiple categories for the homepage panes
	* Added page.php template file so it may be overridden in child themes
	* Added some CSS for WPStats smiley at the bottom so that the default background gradient won't be pushed up
	* Added "vertical slide", "fade", and "no effect" slider transition effect options
	* Added the ability to select multiple categories for the slider
	* Added the ability to use multiple instances of the Twitter widget on the same page
	* Added link to the thumbnails in child page listing when the child page has a featured image set
	* Added option labels-input field associations in options page, so that clicking the label will check/uncheck radio buttons and checkboxes
	* Added the ability for options pages to remember opened sections
	* Added automatic links to hashtags in the Twitter widget
	* Fixed video size in post format exceeding the content area when inline post date display is used
	* Fixed digit-type settings reverting to previous saved value when left empty
	* Fixed the submenus of custom menus everywhere having box shadow when using light-coloured header bars
	* Fixed the author profile image URL of the current admin user being displayed in the author profile field instead of the current user being edited.
	* Fixed the issue where posts are sometimes being repeated on the home page
	* Fixed an issue where the dropdown menu causes a very wide width of the page in RTL website, triggering the browser's horizontal scrollbar
	* Fixed an issue with homepage panes where smaller image is upsized to fit the width of the pane
	* Fixed an issue with the theme's rtl.css file not being loaded when using a child theme with RTL language
	* Replaced get_pages() call with WP_Query() for listing of child pages
	* Migrated all get_posts() calls with the WP_Query() equivalents
	* Several options in the theme's options page are now hidden when they're irrelevant
	* Moved the option Hide Top Bar to General tab because this already has a pane called Top Bar Options
	* Changed comments/pings tabbing from using jQuery Tools library to using the native jQuery library

Version 1.4.1
	* Fixed a bug in the validator script where the second argument for wp_kses() was missing
	* Removed kses check for social sharing button code due to various social sharing providers using non-standard html tags
	* Fixed the search form not vertically centered when used in the navigation bar without menu description
	* Fixed the navigation menu's dropdown going behind the slider in IE7
	* Fixed the submenus of custom menus everywhere having box shadow (now limited to only submenus in the navigation bar)
	* Fixed a bug with the custom walker for default navigation menu (page-based) that may cause WSOD in some sites
	* Fixed bug where the border of block button in full-sized slider remains blue even when the colour is changed in the options page
	* Updated CSS3 gradient properties syntax for Chrome
	* Nav menu item description will not be shown if it's longer than 50 characters (indicating that excerpt is being used)
	* Automatically add paragraphs (wpautop) to custom copyright text in footer if no <p> element is detected
	* Fixed colour options preview not working for widget header when colour code is copied or typed in

Version 1.4
    * Added microformats (hAtom) in the theme (http://microformats.org/)
	* Added native support for Breadcrumb NavXT plugin
	* Fixed the "Not found" message in home page when "posts by category" is set and all posts are sticky
	* Added option to disable the search box in the theme's top / navigation bar
	* Added link to toggle all options tabs at once
	* WordPress 3.2 sync:
		* Removed toggle delay in options page - animation is too slow in Firefox
	* Improved handling of custom scripts - unqueued jQuery Tools from WP Admin screens. This also fixes compatibility issue with the NextGen Gallery options page.
	* Custom image sizes are now added only if they are needed
	* Added option to show social sharing buttons at the top or bottom of posts
	* Added support for "status", "audio", "image", and "video" post formats
	* Added [#post-url] and [#post-title] tags that can be used in the social sharing button code to get the post's URL and title
	* Added display of category description in the category archive page, if exists
	* Improved theme's settings handling. It will now save only the modified settings to the database.
	* Added a more comprehensive data validation for the theme's options
	* Added option to include pages in slider
	* Improved footer area styling, added space for footer custom menu area
	* Added custom menu area of up to 2 levels deep in the footer
	* Removed W3C code validation icons
	* Arrows for multi-level menu items are now available for default menu as well (i.e. not using Custom Menus)
	* Completely rewritten the CSS for navigation menus making it much simpler and less redundant
	* Improved header navigation menu styling to accommodate menu item description
	* Added the ability to display short description for each menu item in the Header Menu
	* Added link to the theme's usage survey in the theme's options page
	* Added more colour options
	* Added colour picker for colour options

Version 1.3.1:

	* Fixed an issue where the theme's options export outputting text file onto the page
	* Fixed the Text Style option for the header text not being applied in singular pages
	* Fixed a bug where the thumbnails of child pages are not displayed when a featured image is set for those child pages
	* Fixed issue where sticky posts are not showing at the beginning of posts list when "Front page posts categories" option is used
	* Added arrows to multi-level menu items to indicate there's a submenu
	* Increased menu items' vertical padding
	* Added option to add custom social media icons in the top bar
	* Added native support for WP-Email plugin
	* Added native support for WP-CommentNavi plugin
	* Added 'graphene_adsense_ads_limit' filter for adsense ads count limit

Version 1.3
	* Added option to disable the listing of child pages in parent pages
    * Added print stylesheet and button
	* Fixed excessively wide images in posts overflowing the content area
	* Added link to the theme's options page in the new WordPress 3.1 admin bar
	* Fixed adsense ads not appearing on front page when using a page as front page
	* Fixed child pages listing showing post thumbnail of the parent page instead of its own
	* Added option to display full content in archive pages (incl. search results) instead of excerpts
	* Added wp_reset_query() call after every custom posts query
	* Added Czech (cs_CZ) translation, by Ondřej Pašťalka
	* Added option to export and import theme settings
	* Added Hungarian (hu_HU) translation, by Major Gabor
	* Added option to specify the slider transition speed
	* Added 'graphene_after_slider' action hook
	* Added message blocks shortcodes for 'warning', 'error', 'notice', and 'important'
	* Added message blocks shortcodes buttons to the TinyMCE Editor
	* Fixed page template being assigned a custom page template automatically, without being able to revert to theme default
	* Added homepage panes that will be displayed if using a static front page
	* Added settings presets
	* Pings / comment counts are no longer displayed if there is no pings / comments yet
	* Added option to completely remove the comments section site-wide, or for pages only
	* Fixed issue with paragraph text not wrapping around aligned images properly
	* Improved the 404.php file so that it returns proper 404 status code, and then redirect. Was returning 302 previously.
	* Post and page titles in singular pages are now using <h1> tag rather than <h2> for SEO
	* Added 'graphene_bottomsidebar' action hook inside the bottom sidebar
	* Added option to retain HTML tags in excerpts
	* Added id="searchform" to the search <form> element so now search works properly with WPML
	* Added option to display Facebook and Twitter icons in the top bar
	* Excerpt thumbnails now link to the full post/page
	* Fixed double "More link" being shown in slider posts with manual excerpt, and ellipsis is no longer added to manual excerpts
	* Added id and class to each sidebar item
	* Added support for WP-PageNavi

Version 1.2.1
	* Added Arabic (ar_AR) translation, by Amal Abdul
	* Fixed search listing of pages, where previously the calendar icon overlaps the title, and page's author (and author's avatar) is displayed
	* Removed "Post has no tags" display from pages in search results
	* Fixed alternate front page footer widget column count settings not appearing in the theme's options
	* In search results list, Older Posts and Newer Posts links have been replaced with Next Page and Previous Page
	* Changed $_REQUEST['updated'] to $_REQUEST['settings-updated'] for the theme's options page, in line with the change in WordPress 3.1

Version 1.2
    * Changed hooks:
         - graphene_before_rightsidebar -> graphene_before_sidebar1
         - graphene_after_rightsidebar -> graphene_after_sidebar1
	* Fixed home page showing excerpt when displaying posts by categories
	* Optimised comments styling
	* Optimised posts styling
	* Added styling content text not wrapped in <p> elements
	* Added styling for sticky posts
	* Hooked the Google Analytics code to wp_head() instead of printing it directly
	* Migrated the theme's options to use the WordPress Settings API
	* Added title for archive and search results pages
	* Added configurable columns layouts, now includes three-column layout
	* Added page template for each of the layout options
	* Added option to display the date as inline text in the post's parameter
	* Added two- and three-column page templates
	* Increased container width to 960px for wider content area
	* Added option to customise browser bar site title structure
	* Added a widget area in the header
	* Added option to display slider content in different style - thumbnail and excerpt, background image and excerpt, and full post
	* Fixed the home page posts listing showing excerpts when showing posts by categories
	* Fixed the slider and pagination not working when showing posts by categories
	* Custom menu styling now affects custom menu in the navigation bar only, and not anywhere else
	* Added child page listing for pages with children

Version 1.1.4

	* Added a secondary navigation menu
	* Added option to specify the categories of posts to be displayed in the front page
	* Added option to display the date's year for posts
	* Added Japanese (ja) translation, by Masato Maekawa
	* Added Dutch (nl_NL) translation, by Jeffrey Tummers
	* Generic slider post image is displayed if "First post in image" is selected but the post has no image
	* Added Persian (fa_IR) translation, by Dayan
	* Added 'suppress_filters' => 0 to all get_posts() function call for compatibility with WPML
	* Added filters to arguments of all get_posts() call
	* Improved options pages layout
	* Edit post link is now displayed even when author name is hidden
	* Added option to disable the sidebar
	* Added a Custom CSS option in the theme's display options page
	* Uses list-style-image for list bullets instead of padding and background image
	* Added thumbnail to posts listing
	* The theme now displays only a maximum of 3 Adsense ads per page
	* Added FAQ regarding featured image replacing the header image
	* Added option to specify the location of sidebar
	* Added option to show/hide the top_bar (including the feed icon and the SearchBox?)
	* Added option to hide the RSS feed icon
        * Added option to specify the location of the searchbox (Top bar (current default), or the navigation bar
        * Added option to turn on rotating header image (randomly taken from the available header images) 
	* Fixed several issues with RTL language support
	* Added option for the slider to show random posts on each page load
	
Version 1.1.3.1
	
	* Removed a stray space before PHP opening tag in functions.php
	* Replaced add_submenu_page() with add_theme_page() functions

Version 1.1.3

	* Added Turkish (tr_TR) translation, by Gurol Barin
	* Added Swedish (sv_SE) translation, by Gary Ward
	* Added full support for RTL languages
	* Added SSL check for header image URL (experimental, report bugs please)
	* Separated trackbacks/pingbacks from normal comments using jQuery Tools Tabs
	* Added option to specify own feed url
	* Tweaked the CSS for links to use only one global link colour parameters for easier modification
	* Added option to modify link colours
	* Added option to enable/disable adding More link to manual excerpts
	* Added graphene_before_content-main action hook
	* Moved the Google Analytics tracking script to just before closing </head> tag to accommodate the newer asynchronous tracking script
	* Added graphene_slider_image_size filter
	* Added the theme's FAQs page in the WordPress admin
	* Author's bio in single post pages now uses custom author image instead of gravatar if present
	* Added out-of-the-box support for Greg's Threaded Comment Numbering plugin
	* Replaced all instances of 'manage_options' user capability check with 'edit_theme_options' for the theme's options pages
	* Added styling for post author's comments

Version 1.1.2

	* Added Chinese (Taiwan) (zh_TW) translation, by NavCore
	* Added filters to change the number of latest author posts and most commented author posts
	* Fixed content width styling for Pages that appear in search results
	* Replaced ('open' == $post->comment_status) with comments_open() for checking comment status
	* Added check for the presence of favicon.ico in wordpress root directory, and add the appropriate head element for using the favicon
	* Fixed dropdown menu items not showing in IE7 when the parent menu item is selected
	* Fixed the current page item in the menu not being highlighted
	* Added European Portuguese (pt_PT) translation, by PL Monteiro

Version 1.1.1.1

	* Removed the SSL check for the header image
	* Replaced all variants of get_bloginfo('template_directory') with GRAPHENE_ROOTURI
	* Added .gallery-caption class in style.css
	* Added graphene_display_slider() function that handles the conditional statements for better control of which pages should display the slider
	* Ditched get_theme_data() for author credit links and use hardcoded links instead
	* Added option for front page to display posts excerpt instead of full content
	* Added option to prevent the featured image from replacing the header image
	* Added the graphene_slider_post_type filter to modify the post types to be displayed in the slider
	* Fixed post's slider image from custom URL not appearing in the slider
	* Fixed header image link to use the dimension of HEADER_IMAGE_WIDTH and HEADER_IMAGE_HEIGHT set in functions.php
	* Added Chinese (PRC) (zh_CN) translation, by Alex Chen
	* Removed hardcoded stylesheet link from the header file and use wp_enqueue_style instead

Version 1.1

	* Slider now uses category ID to pull the posts instead of category name/slug
	* Added nonce and user-capability check protection to the theme's options pages
	* The menu now highlights the current category item as well
	* Added the author info box under each post in single post display
	* Added option to enable/disable the AddThis button on posts and pages
	* Added option to individual pages and posts to enable/disable the AddThis button, which will override the global setting
	* Added option to link the header image to the homepage
	* Added option to hide the allowed tags notification in comment form
	* Don't display most commented post in author's page if there are no posts with comments
	* [CANCELLED] Add option to make posts one-column (ideally, the user would be able to set this to be global or only for specific posts)
	* The main content area now uses colour as background instead of repeating image
	* Removed author gravatar from pages
	* Added option to move the slider to the bottom of page
	* Added option to specify slider speed
	* Added option to specify the number of latest posts to display in the slider
	* Added a few options that the user can select on which image to show as the slider image. Each posts and pages has their individual settings which can be used to override the global setting.
	* Added additional author field to specify the image (by URL) to be displayed on the author's page
	* [CANCELLED] Add RSS icon to wordpress' default Meta widget
	* Added a confirmation page before uninstalling the theme
	* Added option to disable the Creative Commons copyright text at the bottom
	* Added two more action hooks: graphene_top_content, graphene_bottom_content
	* Fixed alternate sidebars - now working on static front page as well
	* Added PHP flush right after </head> to improve page loading time
	
Version 1.0.9.3

	* Hides the "Continue reading" link in excerpts of posts in slider
	* Some CSS updates on the slider styling
	* Removed add_theme_support() calls that used read-only arguments
	* Removed overflow:auto on content paragraphs and lists
	
Version 1.0.9.2

	* Fixed the menu's z-index that caused the dropdown menu to be displayed behind the slider

Version 1.0.9.1

	* Fixed the jQuery slider so that all posts in the selected category is shown instead of limited to 5 posts

Version 1.0.9

	* Added jQuery slider on the front page
	* Fixed border-radius CSS property, now works in Chrome and Safari too
	* Fixed the W3C CSS validator link
	* Removed max-width property from the content area and use overflow:auto instead
	* Default menu no longer show the hardcoded Home link when static front page is used
	* Added class attributes for the header title <h1> and description <h2>
	* Added action hooks for much greater customisability through child theme
	* Added SSL check for custom header image link, and return https link instead of http if SSL connection is used

Version 1.0.8.2

	* Fixed the header text link - now correctly links to the homepage
	* Added Polish (pl_PL) translation, by Dariusz Francuz
	* Added French (fr_FR) translation, by Wolforg
	* Removed the max_depth parameter in listing comments so that threading depth can be set (or disabled) in the admin panel
	* Existing comments will now be shown if comment is closed on posts/pages that already have comments
	* Replaced the minified Son of Suckerfish js for IE6 with the un-minified js - somehow it caused the dropdown menu to 'stick' on hover in IE6

Version 1.0.8.1

	* Fixed the one-column, no sidebar template

Version 1.0.8

	* Added options to hide post parameters, i.e. post date, post author, comment count, post category, post tag (useful for use as CMS)
	* Added option to display Adsense ads on the front page as well
	* Added another widget area at the bottom of the theme
	* Added option to use different widget areas for front page than the rest of the website
	* Added option to specify number of columns for footer widget area, and the width of each column will be adjusted automatically
	* Added option to specify font styles for header text title and description as well as content text
	* Added option to specify width of dropdown menu children
	* Added author's page, which includes author bio, latest posts, most commented posts, and a full list of author's posts with excerpt
	* Added CSS styling for tables and made other minor CSS modifications
	* Added additional message strings and included esc_attr_e and esc_attr__ as language keywords (attn. translators)
	* Added option to switch to a lighter-coloured header bars
	* Added option to display post author's gravatar in posts (useful if blog has multiple authors)
	* Replaced excerpt's [...] with an ellipsis and link to the full posts, based on the Twenty Ten excerpt more filter functions
	* Added Italian (it_IT) translation, by Ermes Gelosa
	* Added German (de_DE) translation, by Sebastian Brandner
	* Replaced all instances of bloginfo('url') with the newer home_url() introduced in WP3.0
	* Renamed page-onecolumn.php template file to template-onecolumn.php to avoid conflict with WordPress template hierarchy
	* Fixed nav menu hover effect where the the hover styles stays permanently in IE6 and IE7
	* Fixed Custom Background bug where the default background is still displayed even when a custom background colour is set
	* Replaced the get_the_title() with the_title_attribute() function for title attribute of post title's <a> element

Version 1.0.7

	* Fixed gettext call for comment count string
	* Added copyright text and developer credit widths in footer to prevent layout overflow for long text
	* Fixed alignment classes CSS so that captioned images are aligned properly
	* Added Spanish (es_ES) translation, by Eduardo Larequi (http://www.labitacoradeltigre.com/)

Version 1.0.6

	* Fixed minor CSS styling bug causing the allowed HTML tags note in comment form to be partially hidden in IE6 and IE7

Version 1.0.5

	* Minor CSS sprite background positioning and paragraph margin fix
	* Updated gettext calls and language files
	* Implemented sliding door effect for button
	* Removed the <!-- WP-Minify JS --> tag in footer
	* Separated changelog from the readme file into changelog.txt file
	* Added Brazilian Portuguese (pt_BR) language files, by Leonardo Antonioli (http://www.tobeguarany.com)
	* Fixed sidebar wrapping where the layout is broken if any sidebar item does not have title
	* Added a page template with no sidebar and full-width 1-column layout
	* Removed the post tags display for pages
	* Replaced URL to stylesheet with absolute path when using get_theme_data() in footer.php to avoid URL file-access disabled error
	* Removed dependence on IE7.js script for IE6 support
	* Improved dropdown menu implementation using Son of Suckerfish method, now up to 5 levels deep!
	* Improved comment form CSS styling to better accommodate extra fields that may be added by plugins

Version 1.0.4

	* Fixed custom menu where assigned custom menu loses dropdown capability

Version 1.0.3

	* Minor code fixes

Version 1.0.2
	
	* Replaced include() function call in search.php with get_template_part()
	* Slight modification to the redirect URL in 404.php.

Version 1.0.1

	* Replaced include() function call with get_search_form() function call to get the search form
	* Replaced hard-coded comment form with comment_form() function call
	* Added missing post_class() in post <div> tag
	* Removed "Comments are closed" message from posts and pages where commenting is disabled
	* Added support for editor style
	* Updated language files

Version 1.0

    * Initial public release
